Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/NEMO/OPATAM_SRC/DYN/dynspg_flt_tam.F90
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/NEMO/OPATAM_SRC/DYN/dynspg_flt_tam.F90	(revision 4595)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/NEMO/OPATAM_SRC/DYN/dynspg_flt_tam.F90	(revision 4597)
@@ -865,5 +865,4 @@
             zub_adout(:,:,:) = ub_ad(:,:,:)
             zvb_adout(:,:,:) = vb_ad(:,:,:)
-            zemp_adout (:,:) = emp_ad (:,:)
             zsshn_adout(:,:) = sshn_ad(:,:)
             zgcx_adout (:,:) = gcx_ad (:,:)
Index: branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/NEMO/OPATAM_SRC/LBC/lbcnfd_tam.F90
===================================================================
--- branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/NEMO/OPATAM_SRC/LBC/lbcnfd_tam.F90	(revision 4595)
+++ branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/NEMO/OPATAM_SRC/LBC/lbcnfd_tam.F90	(revision 4597)
@@ -55,5 +55,5 @@
       !
       INTEGER  ::   ji, jk
-      INTEGER  ::   ijt, iju, ijpj, ijpjm1
+      INTEGER  ::   zijt, ziju, zijpj, zijpjm1
       ! 
       REAL(wp) :: ztmp
@@ -61,8 +61,8 @@
 
       SELECT CASE ( jpni )
-      CASE ( 1 )     ;   ijpj = nlcj      ! 1 proc only  along the i-direction
-      CASE DEFAULT   ;   ijpj = 4         ! several proc along the i-direction
+      CASE ( 1 )     ;   zijpj = nlcj      ! 1 proc only  along the i-direction
+      CASE DEFAULT   ;   zijpj = 4         ! several proc along the i-direction
       END SELECT
-      ijpjm1 = ijpj-1
+      zijpjm1 = zijpj-1
 
       DO jk = 1, jpk
@@ -75,43 +75,43 @@
          CASE ( 'T' , 'W' )                         ! T-, W-point
             DO ji = jpiglo, jpiglo/2+1, -1
-               ijt = jpiglo-ji+2
-               ztmp = psgn * pt3d(ji,ijpjm1,jk)
-               pt3d(ji ,ijpjm1,jk) = 0.0_wp
-               pt3d(ijt,ijpjm1,jk) = pt3d(ijt,ijpjm1,jk) + ztmp
+               zijt = jpiglo-ji+2
+               ztmp = psgn * pt3d(ji,zijpjm1,jk)
+               pt3d(ji ,zijpjm1,jk) = 0.0_wp
+               pt3d(zijt,zijpjm1,jk) = pt3d(zijt,zijpjm1,jk) + ztmp
             END DO
 
             DO ji = jpiglo, 2, -1
-               ijt = jpiglo-ji+2
-               pt3d(ijt,ijpj-2,jk) = pt3d(ijt,ijpj-2,jk) + psgn * pt3d(ji,ijpj,jk)
-               pt3d(ji ,ijpj  ,jk) = 0.0_wp
+               zijt = jpiglo-ji+2
+               pt3d(zijt,zijpj-2,jk) = pt3d(zijt,zijpj-2,jk) + psgn * pt3d(ji,zijpj,jk)
+               pt3d(ji ,zijpj  ,jk) = 0.0_wp
             END DO
          CASE ( 'U' )                               ! U-point
             DO ji = jpiglo-1, jpiglo/2, -1
-               iju = jpiglo-ji+1
-               ztmp = psgn * pt3d(ji,ijpjm1,jk)
-               pt3d(ji ,ijpjm1,jk) = 0.0_wp
-               pt3d(iju,ijpjm1,jk) = pt3d(iju,ijpjm1,jk) + ztmp
+               ziju = jpiglo-ji+1
+               ztmp = psgn * pt3d(ji,zijpjm1,jk)
+               pt3d(ji ,zijpjm1,jk) = 0.0_wp
+               pt3d(ziju,zijpjm1,jk) = pt3d(ziju,zijpjm1,jk) + ztmp
             END DO
 
             DO ji = jpiglo-1, 1, -1
-               iju = jpiglo-ji+1
-               pt3d(iju,ijpj-2,jk) = pt3d(iju,ijpj-2,jk) + psgn * pt3d(ji,ijpj,jk)
-               pt3d(ji ,ijpj  ,jk) = 0.0_wp
+               ziju = jpiglo-ji+1
+               pt3d(ziju,zijpj-2,jk) = pt3d(ziju,zijpj-2,jk) + psgn * pt3d(ji,zijpj,jk)
+               pt3d(ji ,zijpj  ,jk) = 0.0_wp
             END DO
          CASE ( 'V' )                               ! V-point
             DO ji = jpiglo, 2, -1
-               ijt = jpiglo-ji+2
-               pt3d(ijt,ijpj-3,jk) = pt3d(ijt,ijpj-3,jk) + psgn * pt3d(ji,ijpj  ,jk)
-               pt3d(ji,ijpj  ,jk) = 0.0_wp
-               pt3d(ijt,ijpj-2,jk) = pt3d(ijt,ijpj-2,jk) + psgn * pt3d(ji,ijpj-1,jk)
-               pt3d(ji,ijpj-1,jk) = 0.0_wp
+               zijt = jpiglo-ji+2
+               pt3d(zijt,zijpj-3,jk) = pt3d(zijt,zijpj-3,jk) + psgn * pt3d(ji,zijpj  ,jk)
+               pt3d(ji,zijpj  ,jk) = 0.0_wp
+               pt3d(zijt,zijpj-2,jk) = pt3d(zijt,zijpj-2,jk) + psgn * pt3d(ji,zijpj-1,jk)
+               pt3d(ji,zijpj-1,jk) = 0.0_wp
             END DO
          CASE ( 'F' )                               ! F-point
             DO ji = jpiglo-1, 1, -1
-               iju = jpiglo-ji+1
-               pt3d(iju,ijpj-3,jk) = pt3d(iju,ijpj-3,jk) + psgn * pt3d(ji,ijpj  ,jk)
-               pt3d(ji ,ijpj  ,jk) = 0.0_wp
-               pt3d(iju,ijpj-2,jk) = pt3d(iju,ijpj-2,jk) + psgn * pt3d(ji,ijpj-1,jk)
-               pt3d(ji ,ijpj-1,jk) = 0.0_wp
+               ziju = jpiglo-ji+1
+               pt3d(ziju,zijpj-3,jk) = pt3d(ziju,zijpj-3,jk) + psgn * pt3d(ji,zijpj  ,jk)
+               pt3d(ji ,zijpj  ,jk) = 0.0_wp
+               pt3d(ziju,zijpj-2,jk) = pt3d(ziju,zijpj-2,jk) + psgn * pt3d(ji,zijpj-1,jk)
+               pt3d(ji ,zijpj-1,jk) = 0.0_wp
             END DO
          END SELECT
@@ -122,37 +122,37 @@
             CASE ( 'T' , 'W' )                         ! T-, W-point
             DO ji = jpiglo, 1, -1
-               ijt = jpiglo-ji+1
-               pt3d(ijt,ijpj-1,jk) = pt3d(ijt,ijpj-1,jk) + psgn * pt3d(ji,ijpj,jk)
-               pt3d(ji ,ijpj  ,jk) = 0.0_wp
+               zijt = jpiglo-ji+1
+               pt3d(zijt,zijpj-1,jk) = pt3d(zijt,zijpj-1,jk) + psgn * pt3d(ji,zijpj,jk)
+               pt3d(ji ,zijpj  ,jk) = 0.0_wp
             END DO
          CASE ( 'U' )                               ! U-point
             DO ji = jpiglo-1, 1, -1
-               iju = jpiglo-ji
-               pt3d(iju,ijpj-1,jk) = pt3d(iju,ijpj-1,jk) + psgn * pt3d(ji,ijpj,jk)
-               pt3d(ji ,ijpj  ,jk) = 0.0_wp
+               ziju = jpiglo-ji
+               pt3d(ziju,zijpj-1,jk) = pt3d(ziju,zijpj-1,jk) + psgn * pt3d(ji,zijpj,jk)
+               pt3d(ji ,zijpj  ,jk) = 0.0_wp
             END DO
          CASE ( 'V' )                               ! V-point
             DO ji = jpiglo, jpiglo/2+1, -1
-               ijt = jpiglo-ji+1
-               ztmp = psgn * pt3d(ji,ijpjm1,jk)
-               pt3d(ji ,ijpjm1,jk) = 0.0_wp
-               pt3d(ijt,ijpjm1,jk) = pt3d(ijt,ijpjm1,jk) + ztmp
+               zijt = jpiglo-ji+1
+               ztmp = psgn * pt3d(ji,zijpjm1,jk)
+               pt3d(ji ,zijpjm1,jk) = 0.0_wp
+               pt3d(zijt,zijpjm1,jk) = pt3d(zijt,zijpjm1,jk) + ztmp
             END DO
             DO ji = jpiglo, 1, -1
-               ijt = jpiglo-ji+1
-               pt3d(ijt,ijpj-2,jk) = pt3d(ijt,ijpj-2,jk) + psgn * pt3d(ji,ijpj,jk)
-               pt3d(ji ,ijpj  ,jk) = 0.0_wp
+               zijt = jpiglo-ji+1
+               pt3d(zijt,zijpj-2,jk) = pt3d(zijt,zijpj-2,jk) + psgn * pt3d(ji,zijpj,jk)
+               pt3d(ji ,zijpj  ,jk) = 0.0_wp
             END DO
          CASE ( 'F' )                               ! F-point
             DO ji = jpiglo-1, jpiglo/2+1, -1
-               iju = jpiglo-ji
-               ztmp = psgn * pt3d(ji,ijpjm1,jk)
-               pt3d(ji ,ijpjm1,jk) = 0.0_wp
-               pt3d(iju,ijpjm1,jk) = pt3d(iju,ijpjm1,jk) + ztmp
+               ziju = jpiglo-ji
+               ztmp = psgn * pt3d(ji,zijpjm1,jk)
+               pt3d(ji ,zijpjm1,jk) = 0.0_wp
+               pt3d(ziju,zijpjm1,jk) = pt3d(ziju,zijpjm1,jk) + ztmp
             END DO
             DO ji = jpiglo-1, 1, -1
-               iju = jpiglo-ji
-               pt3d(iju,ijpj-2,jk) = pt3d(iju,ijpj-2,jk) + psgn * pt3d(ji,ijpj  ,jk)
-               pt3d(ji ,ijpj  ,jk) = 0.0_wp
+               ziju = jpiglo-ji
+               pt3d(ziju,zijpj-2,jk) = pt3d(ziju,zijpj-2,jk) + psgn * pt3d(ji,zijpj  ,jk)
+               pt3d(ji ,zijpj  ,jk) = 0.0_wp
             END DO
          END SELECT
@@ -163,7 +163,7 @@
             CASE ( 'T' , 'U' , 'V' , 'W' )             ! T-, U-, V-, W-points
                pt3d(:, 1  ,jk) = 0.e0
-               pt3d(:,ijpj,jk) = 0.e0
+               pt3d(:,zijpj,jk) = 0.e0
             CASE ( 'F' )                               ! F-point
-               pt3d(:,ijpj,jk) = 0.e0
+               pt3d(:,zijpj,jk) = 0.e0
             END SELECT
             !
@@ -195,5 +195,5 @@
       !
       INTEGER  ::   ji, jl, ipr2dj
-      INTEGER  ::   ijt, iju, ijpj, ijpjm1
+      INTEGER  ::   zijt, ziju, zijpj, zijpjm1
       !
       REAL(wp) :: ztmp
@@ -201,16 +201,16 @@
 
       SELECT CASE ( jpni )
-      CASE ( 1 )     ;   ijpj = nlcj      ! 1 proc only  along the i-direction
-      CASE DEFAULT   ;   ijpj = 4         ! several proc along the i-direction
+      CASE ( 1 )     ;   zijpj = nlcj      ! 1 proc only  along the i-direction
+      CASE DEFAULT   ;   zijpj = 4         ! several proc along the i-direction
       END SELECT
       !
       IF( PRESENT(pr2dj) ) THEN           ! use of additional halos
          ipr2dj = pr2dj
-         IF( jpni > 1 )   ijpj = ijpj + ipr2dj
+         IF( jpni > 1 )   zijpj = zijpj + ipr2dj
       ELSE
          ipr2dj = 0
       ENDIF
       !
-      ijpjm1 = ijpj-1
+      zijpjm1 = zijpj-1
       SELECT CASE ( npolj )
       !
@@ -221,30 +221,30 @@
          CASE ( 'T', 'W' )
             DO ji = jpiglo, jpiglo/2+1, -1
-               ijt=jpiglo-ji+2
-               ztmp = psgn * pt2d(ji,ijpj-1)
-               pt2d(ji,ijpj-1) = 0.0_wp
-               pt2d(ijt,ijpj-1) = pt2d(ijt,ijpj-1) + ztmp
+               zijt=jpiglo-ji+2
+               ztmp = psgn * pt2d(ji,zijpj-1)
+               pt2d(ji,zijpj-1) = 0.0_wp
+               pt2d(zijt,zijpj-1) = pt2d(zijt,zijpj-1) + ztmp
             END DO
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo, 2, -1
-                  ijt=jpiglo-ji+2
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji ,ijpj+jl  ) = 0.0_wp
-                  pt2d(ijt,ijpj-2-jl) = pt2d(ijt,ijpj-2-jl) + ztmp
+                  zijt=jpiglo-ji+2
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji ,zijpj+jl  ) = 0.0_wp
+                  pt2d(zijt,zijpj-2-jl) = pt2d(zijt,zijpj-2-jl) + ztmp
                END DO
             END DO
          CASE ( 'U' )                                     ! U-point
             DO ji = jpiglo-1, jpiglo/2, -1
-               iju = jpiglo-ji+1
-               ztmp = psgn * pt2d(ji,ijpjm1)
-               pt2d(ji,ijpjm1) = 0.0_wp
-               pt2d(iju,ijpjm1) = pt2d(iju,ijpjm1) + ztmp
+               ziju = jpiglo-ji+1
+               ztmp = psgn * pt2d(ji,zijpjm1)
+               pt2d(ji,zijpjm1) = 0.0_wp
+               pt2d(ziju,zijpjm1) = pt2d(ziju,zijpjm1) + ztmp
             END DO
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo-1, 1, -1
-                  iju = jpiglo-ji+1
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji ,ijpj+jl  ) = 0.0_wp
-                  pt2d(iju,ijpj-2-jl) = pt2d(iju,ijpj-2-jl) + ztmp
+                  ziju = jpiglo-ji+1
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji ,zijpj+jl  ) = 0.0_wp
+                  pt2d(ziju,zijpj-2-jl) = pt2d(ziju,zijpj-2-jl) + ztmp
                END DO
             END DO
@@ -252,8 +252,8 @@
             DO jl = ipr2dj, -1, -1
                DO ji = jpiglo, 2, -1
-                  ijt = jpiglo-ji+2
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji ,ijpj+jl  ) = 0.0_wp
-                  pt2d(ijt,ijpj-3-jl) = pt2d(ijt,ijpj-3-jl) + ztmp
+                  zijt = jpiglo-ji+2
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji ,zijpj+jl  ) = 0.0_wp
+                  pt2d(zijt,zijpj-3-jl) = pt2d(zijt,zijpj-3-jl) + ztmp
                END DO
             END DO
@@ -261,8 +261,8 @@
             DO jl = ipr2dj, -1, -1
                DO ji = jpiglo-1, 1, -1
-                  iju = jpiglo-ji+1
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-                  pt2d(iju,ijpj-3-jl) = pt2d(iju,ijpj-3-jl) + ztmp
+                  ziju = jpiglo-ji+1
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+                  pt2d(ziju,zijpj-3-jl) = pt2d(ziju,zijpj-3-jl) + ztmp
                END DO
             END DO
@@ -270,34 +270,34 @@
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo, 3, -1
-                  iju = jpiglo - ji + 3
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-                  pt2d(iju,ijpj-1-jl) = pt2d(iju,ijpj-1-jl) + ztmp
-               END DO
-               ztmp = psgn * pt2d(2,ijpj+jl)
-               pt2d(2,ijpj+jl) = 0.0_wp
-               pt2d(3,ijpj-1+jl) = pt2d(3,ijpj-1+jl) + ztmp
+                  ziju = jpiglo - ji + 3
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+                  pt2d(ziju,zijpj-1-jl) = pt2d(ziju,zijpj-1-jl) + ztmp
+               END DO
+               ztmp = psgn * pt2d(2,zijpj+jl)
+               pt2d(2,zijpj+jl) = 0.0_wp
+               pt2d(3,zijpj-1+jl) = pt2d(3,zijpj-1+jl) + ztmp
             END DO
          CASE ( 'J' )                                     ! first ice U-V point
             DO jl =ipr2dj,0,-1
                DO ji = 3, jpiglo
-                  iju = jpiglo - ji + 3
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-                  pt2d(iju,ijpj-1-jl) = pt2d(iju,ijpj-1-jl) + ztmp
-               END DO
-               pt2d(3,ijpj-1+jl) = pt2d(3,ijpj-1+jl) + psgn * pt2d(2,ijpj+jl)
-               pt2d(2,ijpj+jl) = 0.0_wp
+                  ziju = jpiglo - ji + 3
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+                  pt2d(ziju,zijpj-1-jl) = pt2d(ziju,zijpj-1-jl) + ztmp
+               END DO
+               pt2d(3,zijpj-1+jl) = pt2d(3,zijpj-1+jl) + psgn * pt2d(2,zijpj+jl)
+               pt2d(2,zijpj+jl) = 0.0_wp
             END DO
          CASE ( 'K' )                                     ! second ice U-V point
             DO jl =0, ipr2dj
                DO ji = 3, jpiglo
-                  iju = jpiglo - ji + 3
-                  pt2d(3,ijpj-1+jl) = pt2d(3,ijpj-1+jl) + psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-               END DO
-               ztmp = psgn * pt2d(2,ijpj+jl)
-               pt2d(2,ijpj+jl) = 0.0_wp
-               pt2d(3,ijpj-1+jl) = pt2d(3,ijpj-1+jl) + ztmp
+                  ziju = jpiglo - ji + 3
+                  pt2d(3,zijpj-1+jl) = pt2d(3,zijpj-1+jl) + psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+               END DO
+               ztmp = psgn * pt2d(2,zijpj+jl)
+               pt2d(2,zijpj+jl) = 0.0_wp
+               pt2d(3,zijpj-1+jl) = pt2d(3,zijpj-1+jl) + ztmp
             END DO
          END SELECT
@@ -309,8 +309,8 @@
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo, 1, -1
-                  ijt = jpiglo-ji+1
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji ,ijpj+jl  ) = 0.0_wp
-                  pt2d(ijt,ijpj-1-jl) = pt2d(ijt,ijpj-1-jl) + ztmp
+                  zijt = jpiglo-ji+1
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji ,zijpj+jl  ) = 0.0_wp
+                  pt2d(zijt,zijpj-1-jl) = pt2d(zijt,zijpj-1-jl) + ztmp
                END DO
             END DO
@@ -318,38 +318,38 @@
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo-1, 1, -1
-                  iju = jpiglo-ji
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-                  pt2d(iju,ijpj-1-jl) = pt2d(iju,ijpj-1-jl) + ztmp
+                  ziju = jpiglo-ji
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+                  pt2d(ziju,zijpj-1-jl) = pt2d(ziju,zijpj-1-jl) + ztmp
                END DO
             END DO
          CASE ( 'V' )                                     ! V-point
             DO ji = jpiglo, jpiglo/2+1, -1
-               ijt = jpiglo-ji+1
-               ztmp = psgn * pt2d(ji,ijpjm1)
-               pt2d(ji ,ijpjm1) = 0.0_wp
-               pt2d(ijt,ijpjm1) = pt2d(ijt,ijpjm1) + ztmp
+               zijt = jpiglo-ji+1
+               ztmp = psgn * pt2d(ji,zijpjm1)
+               pt2d(ji ,zijpjm1) = 0.0_wp
+               pt2d(zijt,zijpjm1) = pt2d(zijt,zijpjm1) + ztmp
             END DO
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo, 1, -1
-                  ijt = jpiglo-ji+1
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-                  pt2d(ijt,ijpj-2-jl) = pt2d(ijt,ijpj-2-jl) + ztmp
+                  zijt = jpiglo-ji+1
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+                  pt2d(zijt,zijpj-2-jl) = pt2d(zijt,zijpj-2-jl) + ztmp
                END DO
             END DO
          CASE ( 'F' )                               ! F-point
             DO ji = jpiglo-1, jpiglo/2+1, -1
-               iju = jpiglo-ji
-               ztmp = psgn * pt2d(ji,ijpjm1)
-               pt2d(ji ,ijpjm1) = 0.0_wp
-               pt2d(iju,ijpjm1) = pt2d(iju,ijpjm1) + ztmp
+               ziju = jpiglo-ji
+               ztmp = psgn * pt2d(ji,zijpjm1)
+               pt2d(ji ,zijpjm1) = 0.0_wp
+               pt2d(ziju,zijpjm1) = pt2d(ziju,zijpjm1) + ztmp
             END DO
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo-1, 1, -1
-                  iju = jpiglo-ji
-                  ztmp = psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji ,ijpj+jl  ) = 0.0_wp
-                  pt2d(iju,ijpj-2-jl) = pt2d(iju,ijpj-2-jl) + ztmp
+                  ziju = jpiglo-ji
+                  ztmp = psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji ,zijpj+jl  ) = 0.0_wp
+                  pt2d(ziju,zijpj-2-jl) = pt2d(ziju,zijpj-2-jl) + ztmp
                END DO
             END DO
@@ -357,29 +357,29 @@
             DO jl = ipr2dj, 0, -1
                DO ji = jpiglo-1, 2, -1
-                  ijt = jpiglo - ji + 2
-                  pt2d(ji ,ijpj-1-jl) = pt2d(ji ,ijpj-1-jl) + 0.5 * pt2d(ji,ijpj+jl)
-                  pt2d(ijt,ijpj-1-jl) = pt2d(ijt,ijpj-1-jl) + 0.5 * psgn * pt2d(ji,ijpj+jl)
-                  pt2d(ji ,ijpj+jl  ) = 0.0_wp
-               END DO
-            END DO
-            pt2d( 2 ,ijpj:ijpj+ipr2dj) = 0.0_wp
+                  zijt = jpiglo - ji + 2
+                  pt2d(ji ,zijpj-1-jl) = pt2d(ji ,zijpj-1-jl) + 0.5 * pt2d(ji,zijpj+jl)
+                  pt2d(zijt,zijpj-1-jl) = pt2d(zijt,zijpj-1-jl) + 0.5 * psgn * pt2d(ji,zijpj+jl)
+                  pt2d(ji ,zijpj+jl  ) = 0.0_wp
+               END DO
+            END DO
+            pt2d( 2 ,zijpj:zijpj+ipr2dj) = 0.0_wp
          CASE ( 'J' )                                  ! first ice U-V point
             DO jl = 0, ipr2dj
                DO ji = 2 , jpiglo-1
-                  ijt = jpiglo - ji + 2
-                  pt2d(ji,ijpj-1-jl) = pt2d(ji,ijpj-1-jl) + pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-               END DO
-            END DO
-            pt2d( 2 ,ijpj:ijpj+ipr2dj) = 0.e0
+                  zijt = jpiglo - ji + 2
+                  pt2d(ji,zijpj-1-jl) = pt2d(ji,zijpj-1-jl) + pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+               END DO
+            END DO
+            pt2d( 2 ,zijpj:zijpj+ipr2dj) = 0.e0
          CASE ( 'K' )                                  ! second ice U-V point
             DO jl = 0, ipr2dj
                DO ji = 2 , jpiglo-1
-                  ijt = jpiglo - ji + 2
-                  pt2d(ijt,ijpj-1-jl) = pt2d(ijt,ijpj-1-jl) + pt2d(ji,ijpj+jl)
-                  pt2d(ji,ijpj+jl) = 0.0_wp
-               END DO
-            END DO
-            pt2d( 2 ,ijpj:ijpj+ipr2dj) = 0.e0
+                  zijt = jpiglo - ji + 2
+                  pt2d(zijt,zijpj-1-jl) = pt2d(zijt,zijpj-1-jl) + pt2d(ji,zijpj+jl)
+                  pt2d(ji,zijpj+jl) = 0.0_wp
+               END DO
+            END DO
+            pt2d( 2 ,zijpj:zijpj+ipr2dj) = 0.e0
          END SELECT
          !
@@ -389,16 +389,16 @@
          CASE ( 'T' , 'U' , 'V' , 'W' )                 ! T-, U-, V-, W-points
             pt2d(:, 1:1-ipr2dj     ) = 0.e0
-            pt2d(:,ijpj:ijpj+ipr2dj) = 0.e0
+            pt2d(:,zijpj:zijpj+ipr2dj) = 0.e0
          CASE ( 'F' )                                   ! F-point
-            pt2d(:,ijpj:ijpj+ipr2dj) = 0.e0
+            pt2d(:,zijpj:zijpj+ipr2dj) = 0.e0
          CASE ( 'I' )                                   ! ice U-V point
             pt2d(:, 1:1-ipr2dj     ) = 0.e0
-            pt2d(:,ijpj:ijpj+ipr2dj) = 0.e0
+            pt2d(:,zijpj:zijpj+ipr2dj) = 0.e0
          CASE ( 'J' )                                   ! first ice U-V point
             pt2d(:, 1:1-ipr2dj     ) = 0.e0
-            pt2d(:,ijpj:ijpj+ipr2dj) = 0.e0
+            pt2d(:,zijpj:zijpj+ipr2dj) = 0.e0
          CASE ( 'K' )                                   ! second ice U-V point
             pt2d(:, 1:1-ipr2dj     ) = 0.e0
-            pt2d(:,ijpj:ijpj+ipr2dj) = 0.e0
+            pt2d(:,zijpj:zijpj+ipr2dj) = 0.e0
          END SELECT
          !
@@ -503,6 +503,6 @@
 
       SELECT CASE ( jpni )
-      CASE ( 1 )     ;   ijpj = nlcj      ! 1 proc only  along the i-direction
-      CASE DEFAULT   ;   ijpj = 4         ! several proc along the i-direction
+      CASE ( 1 )     ;   zijpj = nlcj      ! 1 proc only  along the i-direction
+      CASE DEFAULT   ;   zijpj = 4         ! several proc along the i-direction
       END SELECT
 
@@ -765,6 +765,6 @@
 
       SELECT CASE ( jpni )
-      CASE ( 1 )     ;   ijpj = nlcj      ! 1 proc only  along the i-direction
-      CASE DEFAULT   ;   ijpj = 4         ! several proc along the i-direction
+      CASE ( 1 )     ;   zijpj = nlcj      ! 1 proc only  along the i-direction
+      CASE DEFAULT   ;   zijpj = 4         ! several proc along the i-direction
       END SELECT
 