Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 4624)
@@ -82,5 +82,5 @@
       CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
       CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
-      CALL ctl_opn( numoni,         'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
+      IF(lwm) CALL ctl_opn( numoni, 'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
 
       !                                ! Open the namelist file 
@@ -134,5 +134,5 @@
       READ  ( numnam_ice_cfg, namicerun, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in configuration namelist', lwp )
-      WRITE ( numoni, namicerun )
+      IF(lwm) WRITE ( numoni, namicerun )
       !
       IF(lwp) THEN                              ! control print
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 4624)
@@ -188,5 +188,5 @@
        READ  ( numnam_ice_cfg, namicedia, IOSTAT = ios, ERR = 902 )
 902    IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in configuration namelist', lwp )
-       WRITE ( numoni, namicedia )
+       IF(lwm) WRITE ( numoni, namicedia )
        
        IF(lwp) THEN                             ! control print
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 4624)
@@ -118,5 +118,5 @@
       READ  ( numnam_ice_cfg, namice_dmp, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dmp in configuration namelist', lwp )
-      WRITE ( numoni, namice_dmp )
+      IF(lwm) WRITE ( numoni, namice_dmp )
       !
       IF ( lwp ) THEN                     !* control print
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 4624)
@@ -238,5 +238,5 @@
       READ  ( numnam_ice_cfg, namicedyn, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in configuration namelist', lwp )
-      WRITE ( numoni, namicedyn )
+      IF(lwm) WRITE ( numoni, namicedyn )
 
       IF(lwp) THEN                                ! Control print
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 4624)
@@ -176,5 +176,5 @@
       READ  ( numnam_ice_cfg, namiceini, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in configuration namelist', lwp )
-      WRITE ( numoni, namiceini )
+      IF(lwm) WRITE ( numoni, namiceini )
       !
       IF(lwp) THEN
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 4624)
@@ -550,5 +550,5 @@
       READ  ( numnam_ice_cfg, namicethd, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in configuration namelist', lwp )
-      WRITE ( numoni, namicethd )
+      IF(lwm) WRITE ( numoni, namicethd )
 
       IF( lk_cpl .AND. parsub /= 0.0 )   CALL ctl_stop( 'In coupled mode, use parsub = 0. or send dqla' )
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 4624)
@@ -308,5 +308,5 @@
       READ  ( numnam_ice_cfg, namicetrp, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicetrp in configuration namelist', lwp )
-      WRITE ( numoni, namicetrp )
+      IF(lwm) WRITE ( numoni, namicetrp )
 
       IF(lwp) THEN
Index: trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 4607)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 4624)
@@ -264,5 +264,5 @@
       READ  ( numnam_ice_cfg, namiceout, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceout in configuration namelist', lwp )
-      WRITE ( numoni, namiceout )
+      IF(lwm) WRITE ( numoni, namiceout )
       
       zfield( 1) = field_1