Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm	(revision 4633)
@@ -14,6 +14,6 @@
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
 
-%NCDF_INC            -I$(NETCDF_INC_DIR)
-%NCDF_LIB            -L$(NETCDF_LIB_DIR) -lnetcdff -lnetcdf
+%NCDF_INC            -I$(NETCDF_INCDIR)
+%NCDF_LIB            -L$(NETCDF_LIBDIR) -lnetcdff -lnetcdf
 %FC                  mpif90 -c -cpp
 # for Curie Fat Node
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/COMP/opa9.card	(revision 4633)
@@ -73,10 +73,10 @@
 
 [OutputFiles]
-List=   (${PREFIX_WF1}_grid_T.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_T.nc,               Post_1Y_grid_T),\
+List=   (${PREFIX_WF1}_grid_T.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_T.nc,               Post_5D_grid_T),\
+        (${PREFIX_WF1}_grid_U.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_U.nc,               Post_5D_grid_U) ,\
+        (${PREFIX_WF1}_grid_V.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_V.nc,               Post_5D_grid_V),\
+        (${PREFIX_WF1}_grid_W.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_W.nc,               Post_5D_grid_W),\
         (${PREFIX_WF2}_grid_T.nc,         ${R_OUT_OCE_WF2}/${PREFIX}_${WF2}_grid_T.nc,               Post_1M_grid_T),\
-        (${PREFIX_WF3}_grid_T.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_T.nc,               Post_1M_grid_T),\
-        (${PREFIX_WF3}_grid_U.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_U.nc,               Post_1M_grid_U) ,\
-        (${PREFIX_WF3}_grid_V.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_V.nc,               Post_1M_grid_V),\
-        (${PREFIX_WF3}_grid_W.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_W.nc,               Post_1M_grid_W),\
+        (${PREFIX_WF3}_grid_T.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_T.nc,               Post_1Y_grid_T),\
         (mesh_mask.nc     ,               ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
         (output.abort.nc  ,               ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc,                  NONE),\
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/config.card
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/config.card	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00/config.card	(revision 4633)
@@ -11,4 +11,5 @@
 #-- (<8 chars MAX for JobName)
 JobName=ORCA2
+SpaceName=PROD
 LongName="SCRIPT_V1"
 TagName=ORCA2_LIM2
@@ -87,5 +88,5 @@
 #D-- OCE -
 [OCE]
-WriteFrequency="1Y 1M 5D"
+WriteFrequency="5D 1M 1Y"
 #WriteFrequency="5D"
 Restart= n
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 4633)
@@ -428,4 +428,14 @@
             <field ref="traj_group" name="floats_group"       freq_op="432000" />
         </file>
+
+
+        <file id="5d_ptrc_T" name="auto" description="pisces sms variables" >
+          <field ref="DIC"      />
+          <field ref="O2"       />
+          <field ref="NCHL"     />
+          <field ref="DCHL"     />
+          <field ref="NO3"      />
+       </file>
+
 
        <file id="5d_diad_T" name="auto" description="additional pisces diagnostics" >
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/opa9.card	(revision 4633)
@@ -73,14 +73,13 @@
 
 [OutputFiles]
-List=   (${PREFIX_WF1}_grid_T.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_T.nc,               Post_1Y_grid_T),\
+List=   (${PREFIX_WF1}_grid_T.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_T.nc,               Post_5D_grid_T),\
+        (${PREFIX_WF1}_grid_U.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_U.nc,               Post_5D_grid_U) ,\
+        (${PREFIX_WF1}_grid_V.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_V.nc,               Post_5D_grid_V),\
+        (${PREFIX_WF1}_grid_W.nc,         ${R_OUT_OCE_WF1}/${PREFIX}_${WF1}_grid_W.nc,               Post_5D_grid_W),\
         (${PREFIX_WF2}_grid_T.nc,         ${R_OUT_OCE_WF2}/${PREFIX}_${WF2}_grid_T.nc,               Post_1M_grid_T),\
-        (${PREFIX_WF3}_grid_T.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_T.nc,               Post_1M_grid_T),\
-        (${PREFIX_WF3}_grid_U.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_U.nc,               Post_1M_grid_U) ,\
-        (${PREFIX_WF3}_grid_V.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_V.nc,               Post_1M_grid_V),\
-        (${PREFIX_WF3}_grid_W.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_W.nc,               Post_1M_grid_W),\
+        (${PREFIX_WF3}_grid_T.nc,         ${R_OUT_OCE_WF3}/${PREFIX}_${WF3}_grid_T.nc,               Post_1Y_grid_T),\
         (mesh_mask.nc     ,               ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
         (output.abort.nc  ,               ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc,                  NONE),\
         (output.init.nc   ,               ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
-
 
 [Post_1Y_grid_T]
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.card
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.card	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/COMP/pisces.card	(revision 4633)
@@ -9,12 +9,12 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_DIC_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_Alkalini_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_O2_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_NO3_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_PO4_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_Si_nomask.nc,  .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_DOC_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_1m_Fer_nomask.nc, .), \
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_DIC_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_Alkalini_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_O2_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_NO3_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_PO4_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_Si_nomask.nc,  .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_DOC_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/data_Fer_nomask.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/kRGB61.txt, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/dust.orca.nc, .), \
@@ -36,5 +36,17 @@
 List=   (${PREFIX_WFT1}_ptrc_T.nc, ${R_OUT_MBG_WFT1}/${PREFIX}_${WFT1}_ptrc_T.nc, NONE), \
         (${PREFIX_WFT1}_diad_T.nc, ${R_OUT_MBG_WFT1}/${PREFIX}_${WFT1}_diad_T.nc, NONE), \
-        (${PREFIX_WFT2}_ptrc_T.nc, ${R_OUT_MBG_WFT2}/${PREFIX}_${WFT2}_ptrc_T.nc, Post_1M_ptrc_T), \
-        (${PREFIX_WFT3}_diad_T.nc, ${R_OUT_MBG_WFT3}/${PREFIX}_${WFT3}_diad_T.nc, Post_5D_ptrc_T)
+        (${PREFIX_WFT2}_ptrc_T.nc, ${R_OUT_MBG_WFT2}/${PREFIX}_${WFT2}_ptrc_T.nc, NONE), \
+        (${PREFIX_WFT3}_ptrc_T.nc, ${R_OUT_MBG_WFT3}/${PREFIX}_${WFT3}_ptrc_T.nc, NONE), \
+        (${PREFIX_WFT3}_diad_T.nc, ${R_OUT_MBG_WFT3}/${PREFIX}_${WFT3}_diad_T.nc, NONE)
 
+
+[Post_1M_ptrc_T]
+Patches= ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (DCHL, NCHL, NO3)
+
+[Post_5D_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars = (Cflx)
+
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/config.card
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/config.card	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/IGCM00/config.card	(revision 4633)
@@ -11,4 +11,5 @@
 #-- (<8 chars MAX for JobName)
 JobName=OR2LP
+SpaceName=PROD
 LongName="SCRIPT_V1"
 TagName=ORCA2_LIM2_PISCES
@@ -87,5 +88,6 @@
 #D-- OCE -
 [OCE]
-WriteFrequency="1Y 1M 5D"
+WriteFrequency="5D 1M 1Y"
+#WriteFrequency="5D"
 Restart= n
 ##-- Last day of the experience used as restart
@@ -113,5 +115,5 @@
 #D-- MBG -
 [MBG]
-WriteFrequency="1Y 1M 5D"
+WriteFrequency="5D 1M 1Y"
 Restart= n
 ##-- Last day of the experience used as restart
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.card
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.card	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.card	(revision 4633)
@@ -8,5 +8,5 @@
 #-- available directories are:  v3, cpl
 #-- NOTE: if you use your own directory you have to comment it
-OPA_dyn=v3
+OPA_version=v3_4
 #==============================================================
 
@@ -16,22 +16,22 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/NEMOV3_mesh_mask.nc, mesh_mask.nc), \
-            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/NEMOV3_5d_21210101_21211231_grid_T.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/NEMOV3_5d_21210101_21211231_grid_U.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/NEMOV3_5d_21210101_21211231_grid_V.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/NEMOV3_5d_21210101_21211231_grid_W.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_DIC_nomask.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_Alkalini_nomask.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_O2_nomask.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_NO3_nomask.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_PO4_nomask.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_Si_nomask.nc,  .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_DOC_nomask.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_Fer_nomask.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/ANC/kRGB61.txt, .), \
-            (${R_BC}/${config_UserChoices_TagName}/ANC/dust.orca.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/ANC/bathy.orca.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/ANC/river.orca.nc, .), \
-            (${R_BC}/${config_UserChoices_TagName}/ANC/ndeposition.orca.nc, .)
+ListNonDel= (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/NEMONEW_mesh_mask.nc, mesh_mask.nc), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/NEMONEW_5d_21210101_21211231_grid_T.nc, dyna_grid_T.nc), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/NEMONEW_5d_21210101_21211231_grid_U.nc, dyna_grid_U.nc)), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/NEMONEW_5d_21210101_21211231_grid_V.nc, dyna_grid_V.nc)), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/NEMONEW_5d_21210101_21211231_grid_W.nc, dyna_grid_W.nc)), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_DIC_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_Alkalini_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_O2_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_NO3_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_PO4_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_Si_nomask.nc,  .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_DOC_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/data_Fer_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/kRGB61.txt, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/dust.orca.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/bathy.orca.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/river.orca.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/${pisces_UserChoices_OPA_version}/ndeposition.orca.nc, .)
 
 [ParametersFiles]
@@ -48,9 +48,12 @@
 List=   (ocean.output)
 
+
 [OutputFiles]
 List=   (${PREFIX_WFT1}_ptrc_T.nc, ${R_OUT_MBG_WFT1}/${PREFIX}_${WFT1}_ptrc_T.nc, NONE), \
         (${PREFIX_WFT1}_diad_T.nc, ${R_OUT_MBG_WFT1}/${PREFIX}_${WFT1}_diad_T.nc, NONE), \
-        (${PREFIX_WFT2}_ptrc_T.nc, ${R_OUT_MBG_WFT2}/${PREFIX}_${WFT2}_ptrc_T.nc, Post_1M_ptrc_T), \
-        (${PREFIX_WFT3}_diad_T.nc, ${R_OUT_MBG_WFT3}/${PREFIX}_${WFT3}_diad_T.nc, Post_5D_diad_T)
+        (${PREFIX_WFT2}_ptrc_T.nc, ${R_OUT_MBG_WFT2}/${PREFIX}_${WFT2}_ptrc_T.nc, NONE), \
+        (${PREFIX_WFT3}_ptrc_T.nc, ${R_OUT_MBG_WFT3}/${PREFIX}_${WFT3}_ptrc_T.nc, NONE), \
+        (${PREFIX_WFT3}_diad_T.nc, ${R_OUT_MBG_WFT3}/${PREFIX}_${WFT3}_diad_T.nc, NONE)
+
 
 [Post_1M_ptrc_T]
Index: /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/IGCM00/config.card
===================================================================
--- /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/IGCM00/config.card	(revision 4632)
+++ /branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/IGCM00/config.card	(revision 4633)
@@ -11,4 +11,5 @@
 #-- (<8 chars MAX for JobName)
 JobName=PISCES
+SpaceName=PROD
 LongName="SCRIPT_V1"
 TagName=ORCA2_OFF_PISCES
@@ -84,5 +85,5 @@
 [MBG]
 ##-- frequency 
-WriteFrequency="1Y 1M 5D"
+WriteFrequency="5D 1M 1Y"
 ##--  restart
 Restart= n