Index: branches/2014/dev_r4642_WavesWG/DOC/TexFiles/Chapters/Chap_SBC.tex
===================================================================
--- branches/2014/dev_r4642_WavesWG/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 4643)
+++ branches/2014/dev_r4642_WavesWG/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 4644)
@@ -15,11 +15,11 @@
 The ocean needs six fields as surface boundary condition:
 \begin{itemize}
-	\item the two components of the surface ocean stress $\left( {\tau _u \;,\;\tau _v} \right)$
-	\item the incoming solar and non solar heat fluxes $\left( {Q_{ns} \;,\;Q_{sr} } \right)$
-	\item the surface freshwater budget $\left( {\textit{emp},\;\textit{emp}_S } \right)$
+    \item the two components of the surface ocean stress $\left( {\tau _u \;,\;\tau _v} \right)$
+    \item the incoming solar and non solar heat fluxes $\left( {Q_{ns} \;,\;Q_{sr} } \right)$
+    \item the surface freshwater budget $\left( {\textit{emp},\;\textit{emp}_S } \right)$
 \end{itemize}
 plus an optional field:
 \begin{itemize}
-	\item the atmospheric pressure at the ocean surface $\left( p_a \right)$
+    \item the atmospheric pressure at the ocean surface $\left( p_a \right)$
 \end{itemize}
 
@@ -75,5 +75,5 @@
 \begin{equation} \label{Eq_sbc_dynzdf}
 \left.{\left( {\frac{A^{vm} }{e_3 }\ \frac{\partial \textbf{U}_h}{\partial k}} \right)} \right|_{z=1}
-	 = \frac{1}{\rho _o} \binom{\tau _u}{\tau _v }
+     = \frac{1}{\rho _o} \binom{\tau _u}{\tau _v }
 \end{equation}
 where $(\tau _u ,\;\tau _v )=(utau,vtau)$ are the two components of the wind 
@@ -348,6 +348,6 @@
 horizontal and vertical dimensions of the associated variable and should 
 be equal to 1 over land and 0 elsewhere.
-The procedure can be recursively applied setting nn_lsm > 1 in namsbc namelist. 
-Note that nn_lsm=0 forces the code to not apply the procedure even if a file for land/sea mask is supplied.
+The procedure can be recursively applied setting nn\_lsm > 1 in namsbc namelist. 
+Note that nn\_lsm=0 forces the code to not apply the procedure even if a file for land/sea mask is supplied.
 
 \subsubsection{Bilinear Interpolation}
@@ -565,16 +565,16 @@
 
 The atmospheric fields used depend on the bulk formulae used. Three bulk formulations 
-are available : the CORE, the CLIO and the MFS bulk formulea. The choice is made by setting to true
+are available : the CORE, the CLIO and the MFS bulk formulae. The choice is made by setting to true
 one of the following namelist variable : \np{ln\_core} ; \np{ln\_clio} or  \np{ln\_mfs}.
 
 Note : in forced mode, when a sea-ice model is used, a bulk formulation (CLIO or CORE) have to be used. 
-Therefore the two bulk (CLIO and CORE) formulea include the computation of the fluxes over both 
+Therefore the two bulk (CLIO and CORE) formulae include the computation of the fluxes over both 
 an ocean and an ice surface. 
 
 % -------------------------------------------------------------------------------------------------------------
-%        CORE Bulk formulea
-% -------------------------------------------------------------------------------------------------------------
-\subsection    [CORE Bulk formulea (\np{ln\_core}=true)]
-		      {CORE Bulk formulea (\np{ln\_core}=true, \mdl{sbcblk\_core})}
+%        CORE Bulk formulae
+% -------------------------------------------------------------------------------------------------------------
+\subsection    [CORE Bulk formulae (\np{ln\_core}=true)]
+		      {CORE Bulk formulae (\np{ln\_core}=true, \mdl{sbcblk\_core})}
 \label{SBC_blk_core}
 %------------------------------------------namsbc_core----------------------------------------------------
@@ -591,5 +591,5 @@
 
 Note that substituting ERA40 to NCEP reanalysis fields 
-does not require changes in the bulk formulea themself. 
+does not require changes in the bulk formulae themself. 
 This is the so-called DRAKKAR Forcing Set (DFS) \citep{Brodeau_al_OM09}. 
 
@@ -621,9 +621,87 @@
 or larger than the one of the input atmospheric fields.
 
-% -------------------------------------------------------------------------------------------------------------
-%        CLIO Bulk formulea
-% -------------------------------------------------------------------------------------------------------------
-\subsection    [CLIO Bulk formulea (\np{ln\_clio}=true)]
-		      {CLIO Bulk formulea (\np{ln\_clio}=true, \mdl{sbcblk\_clio})}
+\subsubsection    [The ECMWF parametric drag law (\np{ln\_cdec}=true)]
+                  {The ECMWF parametric drag law (\np{ln\_cdec}=true)}
+As an alternative to the \citet{Large_Yeager_Rep04} drag law the
+parameterization used operationally by ECMWF \citep{Janssen_Rep08,Edson_JPO13} is
+included,
+\begin{equation}
+   C_\mathrm{D}(z=10 \, \mathrm{m}) = \left(a + bU_{10}^{p_1}\right)/U_{10}^{p_2}.
+   \label{Eq_blk_core_cdec}
+\end{equation}
+The coefficients are $a = 1.03 \times 10^{-3}$, $b = 0.04\times 10^{-3}$,
+$p_1 = 1.48$ and $p_2 = 0.21$. 
+
+\subsubsection    [Wave-modified air-side stress (\np{ln\_cdgw}=true)]
+                  {Wave-modified air-side stress (\np{ln\_cdgw}=true)}
+The atmospheric momentum flux to the ocean is denoted $\tau_\mathrm{a}$. It is
+customary to define an air-side friction velocity as $u_*^2 = 
+\tau_\mathrm{a}/\rho_\mathrm{a}$.
+\citet{Charnock_QJRMS55} was the first to relate the roughness of the sea
+surface to the friction velocity,
+\begin{equation}
+   z_0 = \alpha_\mathrm{CH} \frac{u_{*}^2}{g},
+\end{equation}
+where $\alpha_\mathrm{CH}$ is known as the Charnock constant.
+\citet{Janssen_JPO89} showed that $\alpha$ is not constant but varies with
+the sea state,
+\begin{equation}
+   \alpha_\mathrm{CH} =
+   \frac{\hat{\alpha}_\mathrm{CH}}
+        {\sqrt{1-\tau_\mathrm{w}/\tau_\mathrm{a}}},
+\end{equation}
+where $\hat{\alpha}_\mathrm{CH} = 0.01$ and the wave-induced stress,
+$\tau_\mathrm{in}$, is related to the wind input as
+\begin{equation}
+   \boldsymbol{\tau}_\mathrm{in} = \rho_\mathrm{w}g \int_0^{2\pi} 
+      \int_0^{\infty} \frac{\mathbf{k}}{\omega} S_\mathrm{in} \, 
+      d\omega \, d\theta.
+   \label{Eq_blk_core_tauin}
+\end{equation}
+The wave-modified drag coefficient is then
+\begin{equation}
+   C_\mathrm{D} = \frac{\kappa^2}{\log^2(10/z_0)}.
+\end{equation}
+This parameter is stored as CDWW (GRIB parameter 233, table 140) in ERA-Interim and operationally by ECMWF.
+Note that it is used in conjunction with the 10-m \emph{neutral} wind speed,
+$U_\mathrm{10N}$, also archived. The wind direction is taken from the 10-m
+wind vector as before, and only the wind \emph{speed} is changed.  Note also
+that where there is a discrepancy between the ice cover of the wave model
+and NEMO, a drag parametric drag law should used.  Where the wave model
+has ice (as $C_\mathrm{D} = 0$ under ice), a drag law such as the one put
+forward by \citet{Large_Yeager_Rep04} or the one used operationally by ECMWF,
+see Eq~(\ref{Eq_blk_core_cdec}), must be used to pad the fields.
+
+\subsubsection    [Wave-modified water-side stress (\np{ln\_tauoc}=true)]
+                  {Wave-modified water-side stress (\np{ln\_tauoc}=true)}
+As waves break they feed momentum
+into the currents. If wind input and dissipation in the wave field were in
+equilibrium, the air-side stress would be equal to the total water-side
+stress. However, most of the time waves are not in equilibrium
+\citep{Janssen_JGR12,Janssen_ECMWF13}, giving
+differences in air-side and water-side stress of the order of 5-10\%.
+The water-side stress is the total
+atmospheric stress minus the momentum absorbed by the wave field (positive)
+minus the momentum injected from breaking waves to the ocean (negative), 
+$\boldsymbol{\tau}_\mathrm{oc} = \boldsymbol{\tau}_\mathrm{a} -
+\boldsymbol{\tau}_\mathrm{in} - \boldsymbol{\tau}_\mathrm{ds}$. This can be
+written \citep{wam38r1}
+\begin{equation}
+   \boldsymbol{\tau}_\mathrm{oc} = \boldsymbol{\tau}_\mathrm{a} -
+   \rho_\mathrm{w}g \int_0^{2\pi} \int_0^{\infty} 
+   \frac{\mathbf{k}}{\omega}(S_\mathrm{in} + S_\mathrm{ds})\, d\omega d\theta.
+   \label{eq:tauoc}
+\end{equation}
+This parameter is known as TAUOC (GRIB parameter 214, table 140) is stored in
+normalized form, $\tilde{\tau} = \tau_\mathrm{oc}/\tau_\mathrm{a}$, in
+ERA-Interim and operationally by ECMWF.  It is controlled by the namelist
+parameter \np{ln\_tauoc} in namelist \ngn{namsbc}.
+
+
+% -------------------------------------------------------------------------------------------------------------
+%        CLIO Bulk formulae
+% -------------------------------------------------------------------------------------------------------------
+\subsection    [CLIO Bulk formulae (\np{ln\_clio}=true)]
+		      {CLIO Bulk formulae (\np{ln\_clio}=true, \mdl{sbcblk\_clio})}
 \label{SBC_blk_clio}
 %------------------------------------------namsbc_clio----------------------------------------------------
@@ -665,6 +743,6 @@
 %        MFS Bulk formulae
 % -------------------------------------------------------------------------------------------------------------
-\subsection    [MFS Bulk formulea (\np{ln\_mfs}=true)]
-		      {MFS Bulk formulea (\np{ln\_mfs}=true, \mdl{sbcblk\_mfs})}
+\subsection    [MFS Bulk formulae (\np{ln\_mfs}=true)]
+		      {MFS Bulk formulae (\np{ln\_mfs}=true, \mdl{sbcblk\_mfs})}
 \label{SBC_blk_mfs}
 %------------------------------------------namsbc_mfs----------------------------------------------------
@@ -1048,5 +1126,5 @@
 of incident SWF. The \cite{Bernie_al_CD07} reconstruction algorithm is available
 in \NEMO by setting \np{ln\_dm2dc}~=~true (a \textit{\ngn{namsbc}} namelist variable) when using 
-CORE bulk formulea (\np{ln\_blk\_core}~=~true) or the flux formulation (\np{ln\_flx}~=~true). 
+CORE bulk formulae (\np{ln\_blk\_core}~=~true) or the flux formulation (\np{ln\_flx}~=~true). 
 The reconstruction is performed in the \mdl{sbcdcy} module. The detail of the algoritm used 
 can be found in the appendix~A of \cite{Bernie_al_CD07}. The algorithm preserve the daily 